# Interface IComponentBindings

The bindings, or environment in which each component exists.

## Index

### Properties

- componentOptionsModel
- componentStateModel
- queryController
- queryStateModel
- root
- searchInterface
- usageAnalytics

## Properties

### Optional componentOptionsModel

componentOptionsModel: ComponentOptionsModel

- Defined in ui/Base/ComponentBindings.ts :39

Contains the state of options for different components. Mainly used by ResultLink.

### Optional componentStateModel

componentStateModel: ComponentStateModel

- Defined in ui/Base/ComponentBindings.ts :23

Contains the state of different components (enabled vs disabled). Allows to get/set values. Triggers component state event when modified. Each component can listen to those events.

### Optional queryController

queryController: QueryController

- Defined in ui/Base/ComponentBindings.ts :27

Contains the singleton that allows to trigger queries.

### Optional queryStateModel

queryStateModel: QueryStateModel

- Defined in ui/Base/ComponentBindings.ts :19

Contains the state of the query. Allows to get/set values. Triggers state event when modified. Each component can listen to those events.

### Optional root

root: HTMLElement

- Defined in ui/Base/ComponentBindings.ts :15

The root HTMLElement of the SearchInterface in which the component exists.

### Optional searchInterface

searchInterface: SearchInterface

- Defined in ui/Base/ComponentBindings.ts :31

A reference to the root of every component, the SearchInterface.

### Optional usageAnalytics

usageAnalytics: IAnalyticsClient

- Defined in ui/Base/ComponentBindings.ts :35

A reference to the Analytics.client.

### Hierarchy

- IComponentBindings